Last Comment Bug 715417 - Eliminate getPrincipalArray and globalPrivilegesEnabled from JSPrincipals
: Eliminate getPrincipalArray and globalPrivilegesEnabled from JSPrincipals
Status: RESOLVED FIXED
:
Product: Core
Classification: Components
Component: JavaScript Engine (show other bugs)
: unspecified
: All All
: -- normal (vote)
: mozilla12
Assigned To: Bobby Holley (:bholley) (busy with Stylo)
:
Mentors:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2012-01-04 19:42 PST by Bobby Holley (:bholley) (busy with Stylo)
Modified: 2012-01-07 19:33 PST (History)
2 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---


Attachments
Eliminate getPrincipalArray and globalPrivilegesEnabled from JSPrincipals. v1 (7.31 KB, patch)
2012-01-04 20:03 PST, Bobby Holley (:bholley) (busy with Stylo)
mrbkap: review+
Details | Diff | Splinter Review

Description Bobby Holley (:bholley) (busy with Stylo) 2012-01-04 19:42:00 PST
They don't do anything useful, and haven't as long as hg has been around. They consume memory, and fool poor people like myself into thinking there's something plurals about a JSPrincipals.

Patch coming right up. I'd also love to rename JSPrincipals to JSPrincipal, but I'm guessing that will be vetoed on the grounds that it breaks the API for no good reason. _I_ say it's a good reason.

https://developer.mozilla.org/en/JSPrincipals will also need to be updated.
Comment 1 Bobby Holley (:bholley) (busy with Stylo) 2012-01-04 20:03:24 PST
Created attachment 585968 [details] [diff] [review]
Eliminate getPrincipalArray and globalPrivilegesEnabled from JSPrincipals. v1

Attaching patch. Flagging mrbkap for review.
Comment 2 Blake Kaplan (:mrbkap) 2012-01-05 03:38:11 PST
Comment on attachment 585968 [details] [diff] [review]
Eliminate getPrincipalArray and globalPrivilegesEnabled from JSPrincipals. v1

Yeah, we should have done this when we started making backwards-incompatible changes to the UI.
Comment 3 Blake Kaplan (:mrbkap) 2012-01-05 03:38:26 PST
Of course, by UI I meant API.
Comment 4 Bobby Holley (:bholley) (busy with Stylo) 2012-01-06 16:20:35 PST
Pushed this to try: https://tbpl.mozilla.org/?tree=Try&rev=4077fdcc109e
Comment 5 Bobby Holley (:bholley) (busy with Stylo) 2012-01-06 17:31:59 PST
Linux built super-fast for this one and went green, which is good enough for me.

Landed to mozilla-inbound: http://hg.mozilla.org/integration/mozilla-inbound/rev/a761ff40306b
Comment 6 Ed Morley [:emorley] 2012-01-07 19:33:25 PST
https://hg.mozilla.org/mozilla-central/rev/a761ff40306b

Note You need to log in before you can comment on or make changes to this bug.